Kerbal Space Program - Bug #19572

Patched Conics no longer reflect actual destination.
08/24/2018 01:42 AM - MechBFP

Status: Moot Start date: 08/24/2018
Severity: Unworthy % Done: 0%
Assignee: MechBFP

Category: Gameplay

Target version: Not Applicable

Version: 1.4.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

As of 1.4.5, patched conics no longer accurately reflect the reality of where your ship will actually end up in the game. For example,
while orbiting Kerbin you can place a maneuver node so that your peripasis in relation to the Mun is ~10,000m, but after
auto-warping to the maneuver node you might suddenly be out by 100,000m, or possibly not even intercept the Mun at all. Happens
very often, and did not happen at all in previous versions of KSP.

No RCS, no exiting the craft in EVA, nothing that could throw off the trajectory.

To reproduce, simply make a maneuver node, make a note of the periapsis, and then auto-warp and notice the difference.
Does not happen all the time, so will need to be repeated, but happens in about 1 in 3 attempts for me.

Does NOT appear occur if you manually warp to the node!

History

#1 - 08/24/2018 01:58 AM - MechBFP
- File before auto warp.jpg added
- File after auto warp.jpg added

MechBFP wrote:
As of 1.4.5, patched conics no longer accurately reflect the reality of where your ship will actually end up in the game. For example, while orbiting
Kerbin you can place a maneuver node so that your peripasis in relation to the Mun is ~10,000m, but after auto-warping to the maneuver node
you might suddenly be out by 100,000m, or possibly not even intercept the Mun at all. Happens very often, and did not happen at all in previous
versions of KSP.
No RCS, no exiting the craft in EVA, nothing that could throw off the trajectory.

To reproduce, simply make a maneuver node, make a note of the periapsis, and then auto-warp and notice the difference.
Does not happen all the time, so will need to be repeated, but happens in about 1 in 3 attempts for me.

Does NOT appear occur if you manually warp to the node!

See the attached screenshots for before the warp, and the result after the warp.
#2 - 08/25/2018 12:17 AM - MechBFP

Please disregard.

Appears to be caused by a mod, as | could not reproduce in a pure stock install.

EDIT: | was able to narrow down this problem to Kopernicus, and | have filed a bug report with that mod developer.
https://github.com/Kopernicus/Kopernicus/issues/308

#3 - 06/07/2019 02:46 PM - MechBFP

- Status changed from New to Moot

- Assignee set to MechBFP

- Severity changed from Low to Unworthy

- Target version set to Not Applicable
https://github.com/Kopernicus/Kopernicus/issues/308

Files

before auto warp.jpg 180 KB 08/24/2018 MechBFP
after auto warp.jpg 166 KB 08/24/2018 MechBFP

04/19/2024 22


http://www.tcpdf.org

